package com.zhongshu.card.client.service.school;

import com.zhongshu.card.client.model.school.*;
import com.github.microservice.net.ResultContent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @author TRX
 * @date 2024/6/7
 */
public interface NoticeInfoService {

    ResultContent addNoticeInfo(NoticeInfoAddParam param);

    ResultContent deleteNoticeInfo(String id);

    // 置顶
    ResultContent topping(String id);

    ResultContent<NoticeInfoModel> getDetail(String id);

    ResultContent addView(String id);

    ResultContent<Page<NoticeInfoModel>> page(NoticeInfoSearchParam param, Pageable pageable);

    ResultContent<Page<NoticeInfoViewModel>> pageView(NoticeInfoViewSearch param, Pageable pageable);
}
